package cv11;

import java.sql.Connection;
import java.sql.DriverManager;

public class TaskManager {

    public static void main(String[] args) throws Exception {

        // nacteme driver (ovladac) k databazi
        Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();

        // vytvorime pripojeni k DB
        Connection connection = DriverManager.getConnection("jdbc:derby://localhost:1527/tasks;create=true ", "APP", "APP");

        // vytvorime DAO pro praci s daty
        TaskDAO dao = new TaskDAOImpl(connection);

        // vytvorime task
        Task task = new Task("UKOL ABC", 4, false);

        // ulozime ho do databaze
        dao.insert(task);

        System.out.println("== All tasks:");
        for (Task each : dao.findAll()) {
            System.out.println(each);
        }

        System.out.println("== Opened tasks:");
        for (Task each : dao.findOpened()) {
            System.out.println(each);
        }

        // zavreme task a ulozime zmenu do DB
        task.close();
        dao.update(task);

        System.out.println("== Opened tasks:");
        for (Task each : dao.findOpened()) {
            System.out.println(each);
        }

        // delete task from database
        dao.delete(task);

        System.out.println("== All tasks:");
        for (Task each : dao.findAll()) {
            System.out.println(each);
        }

        // uzavreme spojeni, abychom uvolnili zdroje v databazi
        connection.close();
    }
}
